unit uPlugins_Intf;

interface

const
  MODULENAME_PRESUPUESTOS_CLIENTE = 'PresupuestosCliente_plugin.bpl';
  MODULENAME_ALBARANES_CLIENTE = 'AlbaranesCliente_plugin.bpl';
  MODULENAME_FACTURAS_CLIENTE = 'FacturasCliente_plugin.bpl';
  MODULENAME_RECIBOS_CLIENTE = 'RecibosCliente_plugin.bpl';
    
  MODULENAME_PEDIDOS_PROVEEDOR = 'PedidosProveedor_plugin.bpl';
  MODULENAME_ALBARANES_PROVEEDOR = 'AlbaranesProveedor_plugin.bpl';
  MODULENAME_FACTURAS_PROVEEDOR = 'FacturasProveedor_plugin.bpl';
  MODULENAME_RECIBOS_PROVEEDOR = 'RecibosProveedor_plugin.bpl';  


type
  IMCPresupuestosCliente = interface(IInterface)
    ['{D09E6FFF-50C7-48E2-8380-4CB57B74BB93}']
    procedure VerPresupuestos(const ID_Cliente: Integer;
      const ANombreCliente : String = '');
  end;

  IMCAlbaranesCliente = interface(IInterface)
    ['{0B9DD25A-3E76-446A-9EA6-D43131634A1E}']
    procedure VerAlbaranes(const ID_Cliente: Integer;
      const ANombreCliente : String = '');
  end;

  IMCFacturasCliente = interface(IInterface)
    ['{DA2FEEA4-4B37-4510-9CE8-6223F9894DEE}']
    procedure VerFacturas(const ID_Cliente: Integer;
      const ANombreCliente : String = '');
  end;

  IMCRecibosCliente = interface(IInterface)
    ['{6535395A-1450-4E19-8031-F9CD3D062F6D}']
    procedure VerRecibos(const ID_Cliente: Integer;
      const ANombreCliente : String = '');
  end;

  IMCPedidosProveedor = interface(IInterface)
    ['{D34DF6B6-6D9E-489B-B301-AEBB4DB37629}']
    procedure VerPedidos(const ID_Proveedor: Integer;
      const ANombreProveedor : String = '');
  end;

  IMCAlbaranesProveedor = interface(IInterface)
    ['{B567526E-A1F8-4311-BA19-04EE508B8374}']
    procedure VerAlbaranes(const ID_Proveedor: Integer;
      const ANombreProveedor : String = '');
    procedure VerDevoluciones(const ID_Proveedor: Integer;
      const ANombreProveedor : String = '');
  end;

  IMCFacturasProveedor = interface(IInterface)
    ['{8A48058F-490E-4BF4-9BBB-09654B66CEED}']
    procedure VerFacturas(const ID_Proveedor: Integer;
      const ANombreProveedor : String = '');
  end;

  IMCRecibosProveedor = interface(IInterface)
    ['{24A23E95-D148-404C-9987-B1ED4A19D3CA}']
    procedure VerRecibos(const ID_Proveedor: Integer;
      const ANombreProveedor : String = '');
  end;

implementation

end.
